/*
 *      Copyright (C) 2016 Team Kodi
 *      http://kodi.tv
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this Program; see the file COPYING.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 */
#pragma once

/*!
 * \brief The "system" directory of the frontend
 *
 * This directory can be used to store system specific content such as BIOSes,
 * configuration data, etc.
 */
#define LIBRETRO_SYSTEM_DIRECTORY_NAME  "system"

/*!
 * \brief The "save" directory of the frontend
 *
 * This directory can be used to store SRAM, memory cards, high scores, etc,
 * if the libretro core cannot use the regular memory interface
 * retro_get_memory_data().
 */
#define LIBRETRO_SAVE_DIRECTORY_NAME  "save"
